var prefix = "/data/caInfo"
$(function () {
    load();
});

function load() {
    $('#exampleTable')
        .bootstrapTable(
            {
                method: 'get', // 服务器数据的请求方式 get or post
                url: prefix + "/list", // 服务器数据的加载地址
                //	showRefresh : true,
                //	showToggle : true,
                //	showColumns : true,
                iconSize: 'outline',
                toolbar: '#exampleToolbar',
                striped: true, // 设置为true会有隔行变色效果
                dataType: "json", // 服务器返回的数据类型
                pagination: true, // 设置为true会在底部显示分页条
                // queryParamsType : "limit",
                // //设置为limit则会发送符合RESTFull格式的参数
                singleSelect: false, // 设置为true将禁止多选
                // contentType : "application/x-www-form-urlencoded",
                // //发送到服务器的数据编码类型
                pageSize: 10, // 如果设置了分页，每页数据条数
                pageNumber: 1, // 如果设置了分布，首页页码
                //search : true, // 是否显示搜索框
                showColumns: false, // 是否显示内容下拉框（选择显示的列）
                sidePagination: "server", // 设置在哪里进行分页，可选值为"client" 或者 "server"
                queryParams: function (params) {
                    return {
                        //说明：传入后台的参数包括offset开始索引，limit步长，sort排序列，order：desc或者,以及所有列的键值对
                        limit: params.limit,
                        offset: params.offset,
                        companyName: $('#searchName').val(),
                        // username:$('#searchName').val()
                    };
                },
                onLoadSuccess: function () {
                    //鼠标悬停显示全部内容~
                    $('.bootstrap-table tr td').each(function () {
                        $(this).attr("title", $(this).text());
                        $(this).css("cursor", 'pointer');
                    });
                },
                // //请求服务器数据时，你可以通过重写参数的方式添加一些额外的参数，例如 toolbar 中的参数 如果
                // queryParamsType = 'limit' ,返回参数必须包含
                // limit, offset, search, sort, order 否则, 需要包含:
                // pageSize, pageNumber, searchText, sortName,
                // sortOrder.
                // 返回false将会终止请求
                columns: [
                    // {
                    //     checkbox: false,
                    //
                    // },
                    // 								{
                    // 	field : 'id',
                    // 	title : ''
                    // },
                    {
                        field: 'uniformSocialCreditCode',
                        title: '统一社会信用代码',
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        width: '16%',
                    },
                    {
                        field: 'companyName',
                        title: '公司名称',
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        width: '14%',
                    },
                    {
                        field: 'connectName',
                        title: '联系人',
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        width: '10%',
                    },
                    {
                        field: 'connectPhone',
                        title: '联系电话',
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        width: '14%',
                    },
                    {
                        field: 'effectiveTimeBeige',
                        title: '证书有效起始时间',
                        formatter: paramsMatter,
                        cellStyle: formatTableUnit,
                        width: '12%',
                    },
                    {
                        field: 'effectiveTimeEnd',
                        title: '证书有效结束时间',
                        formatter: paramsMatter,
                        cellStyle: formatTableUnit,
                        width: '12%',
                    },
                    {
                        // 证书状态 0 已删除 1已申请 2 通过(生成证书) 3 不通过
                        field: 'caStatus',
                        title: '状态',
                        width: '6%',
                        formatter: function (item, index) {
                            if (item == '0') {
                                return '<span class="label label-danger">已删除</span>';
                            }
                            if (item == '1') {
                                return '<span class="label label-info">已申请</span>';
                            }
                            if (item == '3') {
                                return '<span class="label label-info">已申请</span>';
                            }
                            if (item == '4') {
                                return '<span class="label label-warning">未申请</span>';
                            }
                            if (item == '2') {
                                return '<span class="label label-success">通过</span>';
                            } else {
                                return '<span class="label  label-warning">已拒绝</span>';
                            }
                        }
                    },
                    {
                        title: '操作',
                        field: 'id',
                        align: 'center',
                        width: '15%',
                        formatter: function (value, row, index) {
                            var e = '<a class="btn btn-primary btn-sm ' + s_edit_h + '" href="#" mce_href="#" title="证书详情" onclick="edit(\''
                                + row.id
                                + '\')"><i class="fa fa-book"></i></a> ';
                            var d = '';
                            var g = '';
                            if (row.caStatus == 1) {
                                d = '<a class="btn btn-success btn-sm ' + s_status_h + '" href="#" title="通过申请"  mce_href="#" onclick="applicationApproved(\''
                                    + row.id
                                    + '\')"><i class="fa fa-check"></i></a> ';
                                g = '<a class="btn btn-warning btn-sm ' + s_status_h + '" href="#" title="拒绝申请"  mce_href="#" onclick="rejectApplication(\''
                                    + row.id
                                    + '\')"><i class="fa fa-close"></i></a> ';
                            }
                            var r = '<a class="btn label-danger btn-sm  ' + s_remove_h + '" href="#" title="删除证书"  mce_href="#" onclick="remove(\''
                                + row.id
                                + '\')"><i class="fa fa-minus-square"></i></a> ';
                            return e + d + g + r;
                        }
                    }]
            })
        /*table resize*/
        .colResizable({
            liveDrag: true,
            gripInnerHtml: "<div class='grip'></div>",
            draggingClass: "dragging",
            resizeMode: 'fit'
        });
}

function reLoad() {
    $('#exampleTable').bootstrapTable('refresh');
}

function add() {
    layer.open({
        type: 2,
        title: '增加',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/add' // iframe的url
    });
}

function edit(id) {
    layer.open({
        type: 2,
        title: '详情',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/edit/' + id // iframe的url
    });
}

function remove(id) {
    layer.confirm('确定要删除该企业证书吗？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/remove",
            type: "post",
            data: {
                'id': id
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

function applicationApproved(id) {
    layer.confirm('确定要通过该企业证书申请吗？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/application",
            type: "post",
            data: {
                'id': id,
                'caStatus': 2
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

function rejectApplication(id) {
    layer.confirm('确定要拒绝该企业证书申请吗？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/application",
            type: "post",
            data: {
                'id': id,
                'caStatus': 3
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

function resetPwd(id) {
}

function batchRemove() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要删除的数据");
        return;
    }
    layer.confirm("确认要删除选中的'" + rows.length + "'条数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['id'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/batchRemove',
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}